## ai `bot`

<img src="./icon/avatar.png" width="100">

- name : ai bot
- base : [rust](https://www.rust-lang.org)
- host : [yui.syui.ai](https://bsky.app/profile/yui.syui.ai), [ai.syu.is](https://web.syu.is/profile/ai.syu.is)

```sh
$ ai
```

```sh
$ cargo build
$ ./target/debug/ai ai -t
```

### login

```sh
# ai token $handle -p $password
$ ai t yui.syui.ai -p password

$ cat ~/.config/ai/token.toml
```

```sh
# ai token $handle -p $password -s $server
$ ai t ai.syu.is -p password -s syu.is
```

### refresh

```
$ ai r
```

```
# server: syu.is
$ ai r -s syu.is
```

### notify

```
$ ai n
```

```
$ ai n | jq .
```

### bot

```
$ ai bot
```

|command|type|body|
|---|---|---|
|@yui.syui.ai did|mention, reply| plc.directory/$did/log |


### test

```sh
$ ./ai.zsh t
```
